#!/bin/bash

echo Update linux kernel from kernel.org Mercurial repository
# mkdir -p ~/linux/hg
# hg clone http://kernel.org/hg/linux-2.6
cd ~/linux/hg/linux-2.6
hg pull -u

echo Install updated Documentation
rm -rf ~/www/kdocs/Documentation/
cp -a ~/linux/hg/linux-2.6/Documentation ~/www/kdocs/Documentation

echo Build htmldocs and xhtml-nochunks
rm -rf ~/linux/temp
cd ~/linux/hg/linux-2.6
mkdir ~/linux/temp
make allnoconfig O=~/linux/temp
cd ~/linux/temp
make -j 2 htmldocs
cd Documentation/DocBook
for i in *.xml
  do xmlto xhtml-nochunks $i -o xhtml-nochunks 
done
mv xhtml-nochunks/*.html .
rmdir xhtml-nochunks

echo Install htmldocs
rm -rf ~/www/kdocs/htmldocs
cp -a ~/linux/temp/Documentation/DocBook ~/www/kdocs/htmldocs
